Показано с 1 по 5 из 5

Тема: Openssl

  1. #1
    Senior Member
    Регистрация
    29.09.2009
    Сообщений
    133

    Question Openssl

    Приветствую.

    ISPmanager Lite 5.152.0
    Использую альтернативную версию php
    5.4.45 (alt)
    Нет расширения openssl. Как его поставить?
    В то что по умолчанию в 7-й версии такой расширение есть и установлено.
    Но мне надо его в альтернативной версии, как это сделать?

  2. #2
    Support team Аватар для usaafko
    Регистрация
    06.10.2013
    Сообщений
    2,351

    По умолчанию

    Это расширение обычно вкомпилируется в исполняемый файл, насколько я понимаю
    Проверил на тестовом сервере
    Код:
    [root@lite ~]# /opt/php54/bin/php -m | grep ssl
    openssl

  3. #3
    Senior Member
    Регистрация
    29.09.2009
    Сообщений
    133

    По умолчанию

    Попробовал по аналогии:
    root@www:/etc/exim4# /opt/php54/bin/php -m | grep ssl
    root@www:/etc/exim4#

  4. #4

    По умолчанию

    Если в ОС openssl имеет версию новее, чем 1.1 (Debian-9, Ubuntu-18), то расширения openssl не будет, устаревшие (до 5.5 включительно) версии php не поддерживают новый openssl.

  5. #5
    Senior Member
    Регистрация
    29.09.2009
    Сообщений
    133

    По умолчанию

    Все ясно, спасибо.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •